Bug 652909 - use %gconf_schema_prepare macro
Summary: use %gconf_schema_prepare macro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-chewing
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 13:17 UTC by Andre Robatino
Modified: 2011-01-13 23:37 UTC (History)
3 users (show)

Fixed In Version: ibus-chewing-1.3.9.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 08:39:04 UTC
Type: ---


Attachments (Terms of Use)

Description Andre Robatino 2010-11-13 13:17:16 UTC
Description of problem:

Due to the following, it's impossible to update ibus-chewing.

[root@localhost ~]# yum update ibus-chewing
Loaded plugins: langpacks, presto, refresh-packagekit, security
Adding en_US to language list
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package ibus-chewing.x86_64 0:1.3.7.20100910-1.fc15 will be updated
---> Package ibus-chewing.x86_64 0:1.3.8-1.fc15 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch           Version              Repository       Size
================================================================================
Updating:
 ibus-chewing         x86_64         1.3.8-1.fc15         rawhide          65 k

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total size: 65 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Error in PREIN scriptlet in rpm package ibus-chewing-1.3.8-1.fc15.x86_64
error: %pre(ibus-chewing-1.3.8-1.fc15.x86_64) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping ibus-chewing-1.3.8-1.fc15
ibus-chewing-1.3.7.20100910-1.fc15.x86_64 was supposed to be removed but is not!

Failed:
  ibus-chewing.x86_64 0:1.3.8-1.fc15                                            

Complete!
[root@localhost ~]#

Version-Release number of selected component (if applicable):
1.3.8-1.fc15

How reproducible:
always

Comment 1 Jens Petersen 2010-11-17 09:43:11 UTC
Erm, why remove all the protection from the scriptlets?

http://pkgs.fedoraproject.org/gitweb/?p=ibus-chewing.git;a=commitdiff;h=cf591d0c12771f966715c40eee6fcf8662c23329

Comment 2 Jens Petersen 2010-11-17 09:45:28 UTC
Any if you want to do that you should probably change "[ ... ] &&" to
"if" statements.  That is a common error with using && in rpm scripts.
Anyway either way works I think.

Comment 3 Mamoru TASAKA 2010-11-17 12:04:46 UTC
And anyway now it is better to use %gconf_schema_prepare or so
now provided by GConf2:

https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

Comment 4 Jens Petersen 2010-11-18 05:18:00 UTC
Nils fixed the immediate problem in ibus-chewing-1.3.8-2.fc15.

But leaving open to get comment 3 addressed.

Comment 5 Ding-Yi Chen 2010-11-19 00:43:11 UTC
(In reply to comment #3)
> And anyway now it is better to use %gconf_schema_prepare or so
> now provided by GConf2:
> 
> https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

Thanks, but those scripts are not available in RHEL6, thus I won't be able to update myself with my RHEL boxes.

Comment 6 Fedora Update System 2010-11-19 03:32:23 UTC
ibus-chewing-1.3.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-chewing-1.3.9.2-1.fc14

Comment 7 Fedora Update System 2010-11-19 03:32:36 UTC
ibus-chewing-1.3.9.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ibus-chewing-1.3.9.2-1.fc13

Comment 8 Fedora Update System 2010-11-19 22:29:43 UTC
ibus-chewing-1.3.9.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-chewing'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ibus-chewing-1.3.9.2-1.fc13

Comment 9 Fedora Update System 2010-12-17 08:38:59 UTC
ibus-chewing-1.3.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-01-13 23:36:55 UTC
ibus-chewing-1.3.9.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.